Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class OtherInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x9.OtherInfo

All Implemented Interfaces:
  DEREncodable

public class OtherInfo
extends ASN1Encodable

ANS.1 def for Diffie-Hellman key exchange OtherInfo structure. See RFC 2631, or X9.42, for further details.

Constructor Summary
`OtherInfo(ASN1Sequence seq)`
`OtherInfo(KeySpecificInfo keyInfo, ASN1OctetString partyAInfo, ASN1OctetString suppPubInfo)`

Method Summary
`KeySpecificInfo` | `getKeyInfo()`
`ASN1OctetString` | `getPartyAInfo()`
`ASN1OctetString` | `getSuppPubInfo()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherInfo

    public OtherInfo(KeySpecificInfo keyInfo,
                     ASN1OctetString partyAInfo,
                     ASN1OctetString suppPubInfo)

### OtherInfo

    public OtherInfo(ASN1Sequence seq)

Method Detail

### getKeyInfo

    public KeySpecificInfo getKeyInfo()

### getPartyAInfo

    public ASN1OctetString getPartyAInfo()

### getSuppPubInfo

    public ASN1OctetString getSuppPubInfo()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        OtherInfo ::= SEQUENCE {
            keyInfo KeySpecificInfo,
            partyAInfo [0] OCTET STRING OPTIONAL,
            suppPubInfo [2] OCTET STRING
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD